/*
 * Copyright (c) 2005, 2006 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: misc.h,v 1.13 2008/11/04 04:33:20 ca Exp $
 */

#ifndef SM_MISC_H
#define SM_MISC_H 1
#include "sm/generic.h"
#include "sm/str.h"
#include "sm/io.h"

sm_ret_T sm_chk_pidfile(const char *_pidfile, int *_pfd, char *_errtxt, size_t _errlen);

sm_ret_T sm_dirname(const char *_path, char *_basedir, size_t _baselen);

bool validdomain(sm_str_P _domain, uint _flags);

sm_ret_T sm_prtrlimits(sm_str_P _str);

sm_ret_T sm_verpify(sm_str_P _mail_pa, sm_str_P _rcpt_pa, uchar _delim1, uchar _delim2, sm_str_P _verp_pa);

sm_ret_T sm_us_sleep(long _us);

sm_ret_T sm_timestamp(time_t now, sm_file_T *fp);

sm_ret_T sm_postmaster_add_domain(sm_str_P _str, sm_str_P _domain, size_t _offset);

void tr_simple(char *_str, const char *_repl, const char *_with);

bool validxtext(sm_str_P _str);

#endif /* SM_MISC_H */
