/*
 * $Id: mtparse.h,v 1.4 2008/04/23 05:36:53 ca Exp $
 */

#ifndef MTPARSE_H
#define MTPARSE_H 1


#define SMAR_PROT_ESMTP	0	/* default; must be 0 */
#define SMAR_PROT_LMTP	1
#define SMAR_MAX_MT_IPV4	8

typedef struct ar_mtcnf_S ar_mtcnf_T, *ar_mtcnf_P;
struct ar_mtcnf_S
{
	uint	 ar_mt_cnf_prot;
	ushort	 ar_mt_cnf_port;
	char	*ar_mt_cnf_host;
	char	*ar_mt_cnf_ips[SMAR_MAX_MT_IPV4];
	uint	 ar_mt_cnf_n_ipv4s;
	ipv4_T	 ar_mt_cnf_ipv4s[SMAR_MAX_MT_IPV4];
};

sm_ret_T
smar_mt_parse(smar_clt_ctx_P _smar_clt_ctx, sm_str_P _mtrhs, ar_mtcnf_P _ar_mtcnf);

#endif /* MTPARSE_H */
